PluginInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Groovy] Class PluginInfo

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.plugins.PluginInfo

All Implemented Interfaces:
  GrailsPluginInfo

    class PluginInfo
    extends groovy.lang.GroovyObjectSupport

Used mainly by the build system that encapsulates access to information about the underlying plugin by delegating to the methods in GrailsPluginUtils.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`java.lang.Object` | `additionalMetadata`
`java.lang.Object` | `metadata`
`java.lang.String` | `name`
`PluginBuildSettings` | `pluginBuildSettings`
`Resource` | `pluginDir`
`java.lang.String` | `version`

Constructor Summary
`PluginInfo(Resource pluginXml, PluginBuildSettings pluginBuildSettings)`

Method Summary
`java.lang.Object` | `getAt(java.lang.String name)`
`Resource` | `getDescriptor()` Returns the location of the descriptor
`java.lang.String` | `getFullName()`
`java.lang.String` | `getName()` Returns the plugin's name.
`Resource` | `getPluginDirectory()` Obtains the plugins directory.
`java.util.Map` | `getProperties()`
`java.lang.String` | `getVersion()` Returns the plugin's version.
`groovy.util.slurpersupport.GPathResult` | `parseMetadata(Resource pluginXml)`
`void` | `propertyMissing(java.lang.String property, java.lang.Object newValue)`
`java.lang.Object` | `propertyMissing(java.lang.String name)`
`java.lang.Object` | `putAt(java.lang.String name, java.lang.Object val)`

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### additionalMetadata

    java.lang.Object additionalMetadata

### metadata

    java.lang.Object metadata

### name

    java.lang.String name

### pluginBuildSettings

    PluginBuildSettings pluginBuildSettings

### pluginDir

    Resource pluginDir

### version

    java.lang.String version

Constructor Detail

### PluginInfo

    PluginInfo(Resource pluginXml, PluginBuildSettings pluginBuildSettings)

Method Detail

### getAt

    java.lang.Object getAt(java.lang.String name)

### getDescriptor

    Resource getDescriptor()

  Returns the location of the descriptor

### getFullName

    java.lang.String getFullName()

### getName

    java.lang.String getName()

  Returns the plugin's name.

### getPluginDirectory

    Resource getPluginDirectory()

  Obtains the plugins directory.

### getProperties

    java.util.Map getProperties()

### getVersion

    java.lang.String getVersion()

  Returns the plugin's version.

### parseMetadata

    groovy.util.slurpersupport.GPathResult parseMetadata(Resource pluginXml)

### propertyMissing

    void propertyMissing(java.lang.String property, java.lang.Object newValue)

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String name)

### putAt

    java.lang.Object putAt(java.lang.String name, java.lang.Object val)

Groovy Documentation